# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
org.apache.commons.fileupload2.core.DiskFileItem.Builder.getBufferSize()
Since 2.0.0, use `DiskFileItem.Builder.getThreshold()` instead.
org.apache.commons.fileupload2.core.DiskFileItem.Builder.setBufferSize(int)
Since 2.0.0, use `DiskFileItem.Builder.setThreshold(int)` instead.
org.apache.commons.fileupload2.core.DiskFileItem.get()
Since 2.0.0, use `DiskFileItem.getInputStream()`, or `DiskFileItem.getReader()`, instead.
org.apache.commons.fileupload2.core.DiskFileItem.getString()
Since 2.0.0, use `DiskFileItem.getReader()` instead.
org.apache.commons.fileupload2.core.DiskFileItemFactory.Builder.getBufferSize()
Since 2.0.0, use `DiskFileItemFactory.Builder.getThreshold()` instead.
org.apache.commons.fileupload2.core.DiskFileItemFactory.Builder.setBufferSize(int)
Since 2.0.0, use `DiskFileItemFactory.Builder.setThreshold(int)` instead.